org.apache.hadoop.yarn.api.records.impl.pb

## Class ResourceAllocationRequestPBImpl

- java.lang.Object
- - org.apache.hadoop.yarn.api.records.ResourceAllocationRequest
  - - org.apache.hadoop.yarn.api.records.impl.pb.ResourceAllocationRequestPBImpl

-     @InterfaceAudience.Private
       @InterfaceStability.Unstable
      public class ResourceAllocationRequestPBImpl
      extends org.apache.hadoop.yarn.api.records.ResourceAllocationRequest

  `ResourceAllocationRequestPBImpl` which implements the `ResourceAllocationRequest` class which represents an allocation made for a reservation for the current state of the plan. This can be changed for reasons such as re-planning, but will always be subject to the constraints of the user contract as described by a `ReservationDefinition` `Resource`

  It includes:

  - StartTime of the allocation.
  - EndTime of the allocation.
  - `Resource` reserved for the allocation.
  See Also:
    `Resource`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResourceAllocationRequestPBImpl()`
    `ResourceAllocationRequestPBImpl(org.apache.hadoop.yarn.proto.YarnProtos.ResourceAllocationRequestProto proto)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object other)`
    `org.apache.hadoop.yarn.api.records.Resource` | `getCapability()`
    `long` | `getEndTime()`
    `org.apache.hadoop.yarn.proto.YarnProtos.ResourceAllocationRequestProto` | `getProto()`
    `long` | `getStartTime()`
    `int` | `hashCode()`
    `void` | `setCapability(org.apache.hadoop.yarn.api.records.Resource newCapability)`
    `void` | `setEndTime(long endTime)`
    `void` | `setStartTime(long startTime)`
    `String` | `toString()`

    - ### Methods inherited from class org.apache.hadoop.yarn.api.records.ResourceAllocationRequest

      `newInstance`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ResourceAllocationRequestPBImpl

          public ResourceAllocationRequestPBImpl()

    - #### ResourceAllocationRequestPBImpl

          public ResourceAllocationRequestPBImpl(org.apache.hadoop.yarn.proto.YarnProtos.ResourceAllocationRequestProto proto)

  - ### Method Detail

    - #### getProto

          public org.apache.hadoop.yarn.proto.YarnProtos.ResourceAllocationRequestProto getProto()

    - #### getCapability

          public org.apache.hadoop.yarn.api.records.Resource getCapability()

      Specified by:
        `getCapability` in class `org.apache.hadoop.yarn.api.records.ResourceAllocationRequest`

    - #### setCapability

          public void setCapability(org.apache.hadoop.yarn.api.records.Resource newCapability)

      Specified by:
        `setCapability` in class `org.apache.hadoop.yarn.api.records.ResourceAllocationRequest`

    - #### getStartTime

          public long getStartTime()

      Specified by:
        `getStartTime` in class `org.apache.hadoop.yarn.api.records.ResourceAllocationRequest`

    - #### setStartTime

          public void setStartTime(long startTime)

      Specified by:
        `setStartTime` in class `org.apache.hadoop.yarn.api.records.ResourceAllocationRequest`

    - #### getEndTime

          public long getEndTime()

      Specified by:
        `getEndTime` in class `org.apache.hadoop.yarn.api.records.ResourceAllocationRequest`

    - #### setEndTime

          public void setEndTime(long endTime)

      Specified by:
        `setEndTime` in class `org.apache.hadoop.yarn.api.records.ResourceAllocationRequest`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object other)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.